Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractMenuItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractMenuItem

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIMenuItem

    public abstract class AbstractMenuItem

extends AbstractActionComponent

The <rich:menuItem> component represents a single item in a menu control. The <rich:menuItem> component can be also be used as a seperate component without a parent menu component, such as on a toolbar.

Nested Class Summary
`static class` | `AbstractMenuItem.Facets`

Field Summary
`static String` | `COMPONENT_TYPE`
`static String` | `CSS_ROOT_DEFAULT`

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractMenuItem()`

Method Summary
`Object` | `getCssRoot()`
`abstract String` | `getIcon()` The icon to be displayed with the menu item
`abstract String` | `getIconDisabled()` The icon to be displayed with the menu item when it is disabled
`abstract Object` | `getLabel()` The text label for the menu item.
`abstract org.richfaces.component.Mode` | `getMode()` Determines how the menu item requests are submitted.
`abstract Object` | `getValue()`
`abstract boolean` | `isDisabled()` Disables the menu component, so it will not be clickable

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, queueEvent, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### CSS_ROOT_DEFAULT

    public static final String CSS_ROOT_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### AbstractMenuItem

    public AbstractMenuItem()

Method Detail

### getMode

    public abstract org.richfaces.component.Mode getMode()

  Determines how the menu item requests are submitted. Valid values:

  1. server, the default setting, submits the form normally and completely refreshes the page.
  2. ajax performs an Ajax form submission, and re-renders elements specified with the render attribute.
  3. client causes the action and actionListener items to be ignored, and the behavior is fully defined by the nested components instead of responses from submissions

### getLabel

    public abstract Object getLabel()

  The text label for the menu item. Alternatively, use the label facet to define content for the label

  Default is server

### getIcon

    public abstract String getIcon()

  The icon to be displayed with the menu item

### getIconDisabled

    public abstract String getIconDisabled()

  The icon to be displayed with the menu item when it is disabled

### isDisabled

    public abstract boolean isDisabled()

  Disables the menu component, so it will not be clickable

### getValue

    public abstract Object getValue()

  Overrides:
    `getValue` in class `javax.faces.component.UICommand`

### getCssRoot

    public Object getCssRoot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.